Create activity start
April 2019 - deprecating API, no longer supported after software version 5.0.5-104, next release expected in June 2019
Click here to see impacted APIs
Click here to see impacted APIs
Creates a new activity for client application. If you want to put all your uploads in this newly created activity, you have set to the activity tag (returned in this activityStart api) in the header
X-Activity-Tag of all the subsequent api calls.
For example, in the request below the X-Activity-Tag is passed which contains the activity tag of the new created activity.
POST /sdk/v2/files/resumable HTTP/1.1Host: Endpoint-URLAuthorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUContent-Type: application/jsonX-Activity-Tag: Q9vUi-3fOfIL93pNuuiCzErMfSAbRGpUxoBxwI73
Endpoint URL: {network.internalDNSName or network.proxyURL} received in DeviceInformation
Request Syntax
POST /v1/activityStart
Request Headers
| Parameter | Description | Required |
|---|---|---|
| Authorization | An access token with nas_read_write scope.Value of type: string |
true |
Request Query Parameters
| Parameter | Description | Required |
|---|---|---|
| type | The type of activity. 1 is for normal uploads, 2 is for autobackup uploads. Other values are reserved for future use.Value of type: integer Default: 1 |
false |
201 Response
The normal case will be201.Response Payload
| Parameter | Description | Required |
|---|---|---|
| ActivityStart | The Activity Start object Object of type: ActivityStart |
true |
Example
Sample request to create a tag for starting a new activity.Request
POST /sdk/v1/activityStart HTTP/1.1Host: Endpoint-URLAuthorization: Bearer 9e9d3d16-f9b1-43dc-8599-d1db6fcedfa9
Response
HTTP/1.1 201 CreatedVary: OriginDate: Thu, 27 Apr 2017 23:22:24 GMTContent-Length: 50Content-Type: text/plain; charset=utf-8{"tag":"3TBKqS0XOkqxfVXpH5zR5BoDADqX5sYU3byOenDE"}